be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDECGvalues

- java.lang.Object
- - java.lang.Enum<CDECGvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDECGvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDECGvalues>

      public enum CDECGvalues
      extends Enum<CDECGvalues>

  Java class for CD-ECGvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-ECGvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="VR"/>
           <enumeration value="AR"/>
           <enumeration value="PR"/>
           <enumeration value="QRS"/>
           <enumeration value="QT"/>
           <enumeration value="QTc"/>
           <enumeration value="P"/>
           <enumeration value="R"/>
           <enumeration value="T"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AR`
    `P`
    `PR`
    `Q_TC`
    `QRS`
    `QT`
    `R`
    `T`
    `VR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDECGvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDECGvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDECGvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VR

          public static final CDECGvalues VR

    - #### AR

          public static final CDECGvalues AR

    - #### PR

          public static final CDECGvalues PR

    - #### QRS

          public static final CDECGvalues QRS

    - #### QT

          public static final CDECGvalues QT

    - #### Q_TC

          public static final CDECGvalues Q_TC

    - #### P

          public static final CDECGvalues P

    - #### R

          public static final CDECGvalues R

    - #### T

          public static final CDECGvalues T

  - ### Method Detail

    - #### values

          public static CDECGvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDECGvalues c : CDECGvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDECGvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDECGvalues fromValue(String v)

Connector Package PERSMIDWIFE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.